MenuManager dies if you delete all items and then re-add
Status: Closed Start date: 2010-02-02

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version: 0.9.2

Description

If you delete all items for :top_menu and try to push new ones back, it errors out.  An easy workaround is to delete one and push its

replacement.  The error output is attached.

Associated revisions

Revision 3447 - 2010-02-18 06:01 - Eric Davis

Fix an IndexError if all the :last menu items are deleted from a menu. #4718

History

#1 - 2010-02-10 03:22 - Eric Davis

- Status changed from New to 7

Robert brought this to my attention on IRC. A workaround is to make sure a menu always has at least one item in it.

#2 - 2010-02-18 06:06 - Eric Davis

- Status changed from 7 to Resolved

- Target version set to 0.9.3

- % Done changed from 0 to 100

- Affected version (unused) set to 0.9.2

- Resolution set to Fixed

- Affected version set to 0.9.2

It turned out that the counters used to keep track of the :last menu items weren't decremented when an item was removed.  This caused the menu to

try to position the new menu item at a negative position.

Thanks for the bug report, I'm happy this was found. Fixed in r3447.

#3 - 2010-02-20 11:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3461.
